# TdApi.DeleteChatReplyMarkup (tdlight API 4.0.311 API)
declaration: module: tdlight.api, package: it.tdlight.jni, class: TdApi, class: DeleteChatReplyMarkup

Module tdlight.api
Package it.tdlight.jni

# Class TdApi.DeleteChatReplyMarkup

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.Function<TdApi.Ok>
it.tdlight.jni.TdApi.DeleteChatReplyMarkup

Enclosing class:
  TdApi

public static final class TdApi.DeleteChatReplyMarkup extends TdApi.Function<TdApi.Ok>
Deletes the default reply markup from a chat. Must be called after a one-time keyboard or a replyMarkupForceReply reply markup has been used. An updateChatReplyMarkup update will be sent if the reply markup is changed. Returns `Ok`

## Field Summary

Fields
Modifier and Type
Field
Description
`long`
`chatId`
Chat identifier.
`static final int`
`CONSTRUCTOR`
`long`
`messageId`
The message identifier of the used keyboard.

## Constructor Summary

Constructors
Constructor
Description
`DeleteChatReplyMarkup()`
Deletes the default reply markup from a chat.
`DeleteChatReplyMarkup(long chatId, long messageId)`
Deletes the default reply markup from a chat.
`DeleteChatReplyMarkup(DataInput input)`
Deletes the default reply markup from a chat.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Function

`toString`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### chatId

public long chatId
Chat identifier.

### messageId

public long messageId
The message identifier of the used keyboard.

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### DeleteChatReplyMarkup

public DeleteChatReplyMarkup()
Deletes the default reply markup from a chat. Must be called after a one-time keyboard or a replyMarkupForceReply reply markup has been used. An updateChatReplyMarkup update will be sent if the reply markup is changed. Returns `Ok`

### DeleteChatReplyMarkup

public DeleteChatReplyMarkup(long chatId, long messageId)
Deletes the default reply markup from a chat. Must be called after a one-time keyboard or a replyMarkupForceReply reply markup has been used. An updateChatReplyMarkup update will be sent if the reply markup is changed. Returns `Ok`

Parameters:
  `chatId` - long Chat identifier.
  `messageId` - long The message identifier of the used keyboard.

### DeleteChatReplyMarkup

public DeleteChatReplyMarkup(DataInput input) throws IOException
Deletes the default reply markup from a chat. Must be called after a one-time keyboard or a replyMarkupForceReply reply markup has been used. An updateChatReplyMarkup update will be sent if the reply markup is changed. Returns `Ok`

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`